Documentation PHP

Installation sous Debian GNU/Linux

Cette section contient des notes et astuces spécifiques à l'installation de PHP sous » Debian GNU/Linux.

Utilisation de APT

Au lieu de télécharger les sources de PHP et de les compiler vous-même, l'utilisation du système de paquets de Debian est la méthode la plus simple et la plus propre pour installer PHP. Si vous n'êtes pas familier avec la compilation de logiciels sous Linux, c'est la voie à suivre.

La première décision à prendre est de choisir entre Apache 1.3.x et Apache 2.x. Les paquets PHP correspondants sont nommés respectivement libapache-mod-php* et libapache2-mod-php*. La procédure ci-dessous considérera Apache 1.3.x. À noter que, lors de la rédaction de ce manuel, aucun paquet officiel de PHP 5 n'est encore disponible. Ainsi, la procédure s'occupera de l'installation de PHP 4.

PHP est aussi disponible en version CGI ou CLI, dont les paquets sont nommés respectivement php4-cgi et php4-cli. Si vous en avez besoin, vous aurez juste à reproduire la procédure avec les bons noms de paquet. php4-pear est un autre paquet spécial que vous pourriez être amené à installer. Il contient une installation minimale de PEAR ainsi que l'utilitaire pear en ligne de commande.

Si vous avez besoin de paquets plus récents que les paquets stables issus de Debian, ou si certains modules ne sont pas présents dans la distribution officielle, vous pouvez jeter un oeil sur » http://www.apt-get.org/. Un des résultats de la recherche sera » Dotdeb. Ce référentiel non officiel est entretenu par » Guillaume Plessis et contient des paquets Debian des versions les plus récentes de PHP 4 et PHP 5. Pour l'utiliser, ajoutez simplement les deux lignes suivantes dans votre fichier /etc/apt/sources.lists et lancez la commande apt-get update :

Exemple #1 Les deux lignes relatives à Dotdeb

deb http://packages.dotdeb.org stable all
deb-src http://packages.dotdeb.org stable all

Enfin, vous devez vous assurer que votre liste de paquets est récente. Si vous ne l'avez pas mise à jour récemment, lancez la commande apt-get update. Ainsi, vous vous assurez d'utiliser les paquets les plus récents de Apache et PHP.

Maintenant que tout est en place, utilisez les commandes suivantes pour installer Apache et PHP :

Exemple #2 Exemple d'installation sous Debian avec Apache 1.3

# apt-get install libapache-mod-php4

APT installera automatiquement le module PHP 4 pour Apache 1.3 ainsi que toutes ses dépendances et les activera. S'il ne vous a pas été demandé de redémarrer Apache pendant l'installation, vous devrez le faire manuellement :

Exemple #3 Arrêter et démarrer Apache une fois que PHP 4 est installé

# /etc/init.d/apache stop
# /etc/init.d/apache start

Meilleur contrôle de la configuration

Dans la partie précédente, PHP a été installé juste avec les modules de base. Ce n'est pas forcément ce que vous voulez et vous pourriez découvrir rapidement que vous avez besoin de davantage de modules, comme MySQL, CURL, GD, etc.

Lorsque vous compilez PHP par vous-même, vous devez activer les modules via la commande configure Avec APT, vous avez juste besoin d'installer des paquets supplémentaires. Ils sont tous nommés 'php4-*' (ou 'php5-*' si vous avez installé PHP 5 d'un référentiel tiers).

Exemple #4 Obtenir la liste des paquets supplémentaires

# dpkg -l 'php4-*'

Comme vous pouvez vous en rendre compte avec le résultat de la commande précédente, les modules PHP que vous pouvez installer sont nombreux (mis à part les exceptions php4-cgi, php4-cli and php4-pear décrits précédemment). Choisissez-les avec soin selon vos besoins. Si vous choisissez un module et que les librairies dont il dépend ne sont pas présentes sur votre système, APT les installera pour vous.

Si vous voulez installer les modules MySQL, cURL et GD, la commande à lancer sera la suivante :

Exemple #5 Installation des modules PHP de MySQL, cURL et GD

# apt-get install php4-mysql php4-curl php4-gd

APT ajoutera automatiquement les lignes adéquates dans vos différents php.ini (/etc/php4/apache/php.ini, /etc/php4/cgi/php.ini, etc).

Exemple #6 Ces lignes ajoutent le support MySQL, cURL et GD au sein de PHP

extension=mysql.so
extension=curl.so
extension=gd.so

Vous aurez juste à stopper/redémarrer Apache de la même façon que précédemment.

Problèmes fréquents

  • Si vous voyez la source de vos scripts PHP plutôt que le résultat attendu du script, c'est qu'APT a dû ne pas inclure /etc/apache/conf.d/php4 dans la configuration de votre Apache 1.3. Assurez-vous donc que la ligne suivante est présente dans votre fichier /etc/apache/httpd.conf puis stoppez/redémarrez Apache :

    Exemple #7 Cette ligne active le support de PHP au sein d'Apache

    # Include /etc/apache/conf.d/
    
  • Si vous avez installé un module PHP supplémentaire et que ses fonctions ne sont pas disponibles dans vos scripts, assurez-vous que la ligne adéquate est présente dans votre php.ini, comme vu précédemment. Il se peut qu'APT l'omette lors de l'installation du module, à cause d'une mauvaise configuration de debconf.


Ceci n'est pas la documentation originale du langage de programmation php, pour y accéder visiter le site www.php.net

Support du web, outils, services, compteurs, scripts, générateurs et autres outils pour les webmasters gratuitement à 100%
Page générée en 0.00352 secondes.